Get raw table item
POST
A specific table item can be identified using table_handle and key.Aptos nodes prune account state history according to a configurable retention period. If the requested ledger version has already been pruned, the server returns a 410 response.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.table_handlestringrequired
A pointer value indicating where the table is stored.Query Parameters
ledger_versioninteger
The ledger version of the transaction to fetch account state from.If no value is provided, the latest version is used.header
acceptstringrequired
The content type that the client can receive. The API works correctly only when application/x-bcs is specified.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://aptos-mainnet.nodit.io/v1/tables/0x7d7561f38ada5eb9066f05c6e80df069208c4de472d6414482016d38448d1a7d/raw_item' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{}'